#How does it work?
#execute if entity @s[hasitem={item="item that the cutting board must have",location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 "item to be given upon cutting the item" "amount"

#Как это работает?
#execute if entity @s[hasitem={item="предмет, который должна иметь разделочная доска",location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 "предмет, который выдаётся при нарезке данного предмета" "количество"

#How to make it drop two different items?
#two execute commands are created, one for each item
#The first command changes "slot.weapon.mainhand" to "slot.weapon.offhand"
#And the second will remain "slot.weapon.mainhand"

#Как сделать так, чтобы выпадало два разных предмета?
#Создаются две команды 'execute', по одной для каждого элемента
#Первая команда меняет "slot.weapon.mainhand" на "slot.weapon.offhand"
#И вторая останется "slot.weapon.mainhand"

execute if entity @s[hasitem={item=minecraft:dark_oak_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:dark_oak_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_dark_oak_log

execute if entity @s[hasitem={item=minecraft:birch_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:birch_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_birch_log

execute if entity @s[hasitem={item=minecraft:spruce_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:spruce_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_spruce_log

execute if entity @s[hasitem={item=minecraft:dark_oak_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:dark_oak_planks
execute if entity @s[hasitem={item=minecraft:crimson_hyphae,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_crimson_hyphae
execute if entity @s[hasitem={item=minecraft:mangrove_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_mangrove_log
execute if entity @s[hasitem={item=minecraft:dark_oak_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:dark_oak_planks
execute if entity @s[hasitem={item=minecraft:spruce_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:spruce_planks
execute if entity @s[hasitem={item=minecraft:trapdoor,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:oak_planks
execute if entity @s[hasitem={item=minecraft:spruce_trapdoor,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:spruce_planks
execute if entity @s[hasitem={item=minecraft:mangrove_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:mangrove_planks

execute if entity @s[hasitem={item=minecraft:warped_stem,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:warped_stem,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_warped_stem

execute if entity @s[hasitem={item=minecraft:warped_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:warped_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:warped_planks

execute if entity @s[hasitem={item=minecraft:mangrove_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:mangrove_planks
execute if entity @s[hasitem={item=minecraft:birch_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:birch_planks
execute if entity @s[hasitem={item=minecraft:warped_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:warped_planks

execute if entity @s[hasitem={item=minecraft:oak_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:oak_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_oak_log

execute if entity @s[hasitem={item=minecraft:acacia_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:acacia_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_acacia_log

execute if entity @s[hasitem={item=minecraft:jungle_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:jungle_log,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_jungle_log

execute if entity @s[hasitem={item=minecraft:birch_trapdoor,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:birch_planks
execute if entity @s[hasitem={item=minecraft:acacia_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:acacia_planks
execute if entity @s[hasitem={item=minecraft:crimson_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:crimson_planks
execute if entity @s[hasitem={item=minecraft:acacia_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:acacia_planks
execute if entity @s[hasitem={item=minecraft:crimson_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:crimson_planks

execute if entity @s[hasitem={item=minecraft:crimson_stem,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:crimson_stem,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_crimson_stem

execute if entity @s[hasitem={item=minecraft:jungle_trapdoor,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:jungle_planks
execute if entity @s[hasitem={item=minecraft:crimson_trapdoor,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:crimson_planks
execute if entity @s[hasitem={item=minecraft:warped_trapdoor,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:warped_planks
execute if entity @s[hasitem={item=minecraft:birch_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:birch_planks
execute if entity @s[hasitem={item=minecraft:oak_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:oak_planks
execute if entity @s[hasitem={item=minecraft:acacia_trapdoor,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:acacia_planks

execute if entity @s[hasitem={item=minecraft:stripped_warped_hyphae,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:stripped_warped_hyphae,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_warped_hyphae

execute if entity @s[hasitem={item=minecraft:jungle_sign,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:jungle_planks
execute if entity @s[hasitem={item=minecraft:mangrove_trapdoor,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:mangrove_planks
execute if entity @s[hasitem={item=minecraft:wooden_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:oak_planks
execute if entity @s[hasitem={item=minecraft:jungle_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:jungle_planks
execute if entity @s[hasitem={item=minecraft:spruce_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:spruce_planks
execute if entity @s[hasitem={item=minecraft:dark_oak_door,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:dark_oak_planks

execute if entity @s[hasitem={item=minecraft:spruce_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:spruce_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_spruce_wood

execute if entity @s[hasitem={item=minecraft:mangrove_wood,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:mangrove_wood,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_mangrove_wood

execute if entity @s[hasitem={item=minecraft:birch_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:birch_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_birch_wood

execute if entity @s[hasitem={item=minecraft:acacia_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:acacia_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_acacia_wood

execute if entity @s[hasitem={item=minecraft:dark_oak_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:dark_oak_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_dark_oak_wood

execute if entity @s[hasitem={item=minecraft:birch_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:birch_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_birch_wood

execute if entity @s[hasitem={item=minecraft:oak_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:oak_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_oak_wood

execute if entity @s[hasitem={item=minecraft:jungle_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.offhand 0 farmersdelight:tree_bark
execute if entity @s[hasitem={item=minecraft:jungle_planks,location=slot.weapon.mainhand}] run replaceitem entity @s slot.weapon.mainhand 0 minecraft:stripped_jungle_wood

execute positioned as @s run playsound use.wood @a[r=6]