
scoreboard objectives add farmer:timer dummy
scoreboard objectives add farmer:events dummy

##We write the message every 200 ticks (10 seconds)
scoreboard players set .10s farmer:timer 200

##100 ticks (5 seconds)
scoreboard players set .5s farmer:timer 100

scoreboard players add .Timer farmer:timer 1

scoreboard players operation * farmer:events = .Timer farmer:timer

scoreboard players operation .Message farmer:events %= .10s farmer:timer
scoreboard players operation .Tag farmer:events %= .5s farmer:timer


##If we do not have the "farmer:warn" or "farmer:ok" tag
execute as @a[tag=!farmer:warn] if score .Message farmer:events matches 0 run execute unless entity @s[tag=farmer:ok] run tellraw @s {"rawtext":[{"translate":"FarmersDelight:message.warn.1"}]}
execute as @a[tag=!farmer:warn] if score .Message farmer:events matches 0 run execute unless entity @s[tag=farmer:ok] run tellraw @s {"rawtext":[{"translate":"FarmersDelight:message.warn.2"}]}
execute as @a[tag=!farmer:warn] if score .Message farmer:events matches 0 run execute unless entity @s[tag=farmer:ok] run tellraw @s {"rawtext":[{"translate":"FarmersDelight:message.warn.3"}]}
execute as @a[tag=!farmer:warn] if score .Message farmer:events matches 0 run execute unless entity @s[tag=farmer:ok] run tellraw @s {"rawtext":[{"translate":"FarmersDelight:message.warn.4"}]}
execute as @a[tag=!farmer:warn] if score .Message farmer:events matches 0 run execute unless entity @s[tag=farmer:ok] run tellraw @s {"rawtext":[{"translate":"FarmersDelight:message.warn.5"}]}

#Every 5 seconds the "farmer:warn" tag is removed to run the test again.
execute as @a[tag=farmer:warn] if score .Tag farmer:events matches 0 run tag @s remove farmer:warn

## Reset the counter so that it does not go over 200
execute if score .Message farmer:events matches 0 run scoreboard players reset .Timer